Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultAmpComponentType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v3.ConsultAmpComponentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:09+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultAmpComponentType

extends Object
implements Serializable

Java class for ConsultAmpComponentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultAmpComponentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Dividable" type="{urn:be:fgov:ehealth:dics:core:v3:actual:common}DividableType" minOccurs="0"/>
             <element name="Scored" type="{urn:be:fgov:ehealth:dics:core:v3:actual:common}ScoredType" minOccurs="0"/>
             <element name="Crushable" type="{urn:be:fgov:ehealth:dics:core:v3:actual:common}CrushableType" minOccurs="0"/>
             <element name="ContainsAlcohol" type="{urn:be:fgov:ehealth:dics:core:v3:actual:common}ContainsAlcoholType" minOccurs="0"/>
             <element name="SugarFree" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="ModifiedReleaseType" type="{urn:be:fgov:ehealth:dics:core:v3:actual:common}ModifiedReleaseTypeType" minOccurs="0"/>
             <element name="SpecificDrugDevice" type="{urn:be:fgov:ehealth:dics:core:v3:actual:common}SpecificDrugDeviceType" minOccurs="0"/>
             <element name="Dimensions" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="Note" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="PharmaceuticalForm" type="{urn:be:fgov:ehealth:dics:protocol:v3}PharmaceuticalFormWithStandardsType" maxOccurs="unbounded"/>
             <element name="RouteOfAdministration" type="{urn:be:fgov:ehealth:dics:protocol:v3}RouteOfAdministrationWithStandardsType" maxOccurs="unbounded"/>
             <element name="RealActualIngredient" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultRealActualIngredientType" maxOccurs="unbounded"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
           <attribute name="SequenceNr" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
           <attribute name="VmpComponentCode" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultAmpComponentType()`

Method Summary
`String` | `getContainsAlcohol()` Gets the value of the containsAlcohol property.
`String` | `getCrushable()` Gets the value of the crushable property.
`String` | `getDimensions()` Gets the value of the dimensions property.
`String` | `getDividable()` Gets the value of the dividable property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`BigInteger` | `getModifiedReleaseType()` Gets the value of the modifiedReleaseType property.
`ConsultTextType` | `getName()` Gets the value of the name property.
`ConsultTextType` | `getNote()` Gets the value of the note property.
`List<PharmaceuticalFormWithStandardsType>` | `getPharmaceuticalForms()` Gets the value of the pharmaceuticalForms property.
`List<ConsultRealActualIngredientType>` | `getRealActualIngredients()` Gets the value of the realActualIngredients property.
`List<RouteOfAdministrationWithStandardsType>` | `getRouteOfAdministrations()` Gets the value of the routeOfAdministrations property.
`String` | `getScored()` Gets the value of the scored property.
`BigInteger` | `getSequenceNr()` Gets the value of the sequenceNr property.
`BigInteger` | `getSpecificDrugDevice()` Gets the value of the specificDrugDevice property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`BigInteger` | `getVmpComponentCode()` Gets the value of the vmpComponentCode property.
`Boolean` | `isSugarFree()` Gets the value of the sugarFree property.
`void` | `setContainsAlcohol(String value)` Sets the value of the containsAlcohol property.
`void` | `setCrushable(String value)` Sets the value of the crushable property.
`void` | `setDimensions(String value)` Sets the value of the dimensions property.
`void` | `setDividable(String value)` Sets the value of the dividable property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setModifiedReleaseType(BigInteger value)` Sets the value of the modifiedReleaseType property.
`void` | `setName(ConsultTextType value)` Sets the value of the name property.
`void` | `setNote(ConsultTextType value)` Sets the value of the note property.
`void` | `setScored(String value)` Sets the value of the scored property.
`void` | `setSequenceNr(BigInteger value)` Sets the value of the sequenceNr property.
`void` | `setSpecificDrugDevice(BigInteger value)` Sets the value of the specificDrugDevice property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setSugarFree(Boolean value)` Sets the value of the sugarFree property.
`void` | `setVmpComponentCode(BigInteger value)` Sets the value of the vmpComponentCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultAmpComponentType

    public ConsultAmpComponentType()

Method Detail

### getDividable

    public String getDividable()

  Gets the value of the dividable property.

  Returns:
    possible object is `String`

### setDividable

    public void setDividable(String value)

  Sets the value of the dividable property.

  Parameters:
    `value` - allowed object is `String`

### getScored

    public String getScored()

  Gets the value of the scored property.

  Returns:
    possible object is `String`

### setScored

    public void setScored(String value)

  Sets the value of the scored property.

  Parameters:
    `value` - allowed object is `String`

### getCrushable

    public String getCrushable()

  Gets the value of the crushable property.

  Returns:
    possible object is `String`

### setCrushable

    public void setCrushable(String value)

  Sets the value of the crushable property.

  Parameters:
    `value` - allowed object is `String`

### getContainsAlcohol

    public String getContainsAlcohol()

  Gets the value of the containsAlcohol property.

  Returns:
    possible object is `String`

### setContainsAlcohol

    public void setContainsAlcohol(String value)

  Sets the value of the containsAlcohol property.

  Parameters:
    `value` - allowed object is `String`

### isSugarFree

    public Boolean isSugarFree()

  Gets the value of the sugarFree property.

  Returns:
    possible object is `Boolean`

### setSugarFree

    public void setSugarFree(Boolean value)

  Sets the value of the sugarFree property.

  Parameters:
    `value` - allowed object is `Boolean`

### getModifiedReleaseType

    public BigInteger getModifiedReleaseType()

  Gets the value of the modifiedReleaseType property.

  Returns:
    possible object is `BigInteger`

### setModifiedReleaseType

    public void setModifiedReleaseType(BigInteger value)

  Sets the value of the modifiedReleaseType property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getSpecificDrugDevice

    public BigInteger getSpecificDrugDevice()

  Gets the value of the specificDrugDevice property.

  Returns:
    possible object is `BigInteger`

### setSpecificDrugDevice

    public void setSpecificDrugDevice(BigInteger value)

  Sets the value of the specificDrugDevice property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getDimensions

    public String getDimensions()

  Gets the value of the dimensions property.

  Returns:
    possible object is `String`

### setDimensions

    public void setDimensions(String value)

  Sets the value of the dimensions property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public ConsultTextType getName()

  Gets the value of the name property.

  Returns:
    possible object is `ConsultTextType`

### setName

    public void setName(ConsultTextType value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getNote

    public ConsultTextType getNote()

  Gets the value of the note property.

  Returns:
    possible object is `ConsultTextType`

### setNote

    public void setNote(ConsultTextType value)

  Sets the value of the note property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getPharmaceuticalForms

    public List<PharmaceuticalFormWithStandardsType> getPharmaceuticalForms()

  Gets the value of the pharmaceuticalForms property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the pharmaceuticalForms property.

  For example, to add a new item, do as follows:

          getPharmaceuticalForms().add(newItem);

  Objects of the following type(s) are allowed in the list `PharmaceuticalFormWithStandardsType`

### getRouteOfAdministrations

    public List<RouteOfAdministrationWithStandardsType> getRouteOfAdministrations()

  Gets the value of the routeOfAdministrations property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the routeOfAdministrations property.

  For example, to add a new item, do as follows:

          getRouteOfAdministrations().add(newItem);

  Objects of the following type(s) are allowed in the list `RouteOfAdministrationWithStandardsType`

### getRealActualIngredients

    public List<ConsultRealActualIngredientType> getRealActualIngredients()

  Gets the value of the realActualIngredients property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the realActualIngredients property.

  For example, to add a new item, do as follows:

          getRealActualIngredients().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultRealActualIngredientType`

### getSequenceNr

    public BigInteger getSequenceNr()

  Gets the value of the sequenceNr property.

  Returns:
    possible object is `BigInteger`

### setSequenceNr

    public void setSequenceNr(BigInteger value)

  Sets the value of the sequenceNr property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getVmpComponentCode

    public BigInteger getVmpComponentCode()

  Gets the value of the vmpComponentCode property.

  Returns:
    possible object is `BigInteger`

### setVmpComponentCode

    public void setVmpComponentCode(BigInteger value)

  Sets the value of the vmpComponentCode property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.